mac80211: add ABI_VERSION to fix rebuild of dependent packages after upgrades
authorFelix Fietkau <nbd@nbd.name>
Sun, 6 Jan 2019 20:48:02 +0000 (21:48 +0100)
committerFelix Fietkau <nbd@nbd.name>
Sun, 6 Jan 2019 20:48:11 +0000 (21:48 +0100)
Signed-off-by: Felix Fietkau <nbd@nbd.name>
package/kernel/mac80211/Makefile

index 5f79e54..6b23ec5 100644 (file)
@@ -98,6 +98,7 @@ define KernelPackage/cfg80211
   $(call KernelPackage/mac80211/Default)
   TITLE:=cfg80211 - wireless configuration API
   DEPENDS+= +iw +wireless-regdb
+  ABI_VERSION:=$(PKG_VERSION)-$(PKG_RELEASE)
   FILES:= \
        $(PKG_BUILD_DIR)/compat/compat.ko \
        $(PKG_BUILD_DIR)/net/wireless/cfg80211.ko
@@ -115,6 +116,7 @@ define KernelPackage/mac80211
   KCONFIG:=\
        CONFIG_AVERAGE=y
   FILES:= $(PKG_BUILD_DIR)/net/mac80211/mac80211.ko
+  ABI_VERSION:=$(PKG_VERSION)-$(PKG_RELEASE)
   MENU:=1
 endef